Bug 101815 - No redraw after spell check replace in outline view
Summary: No redraw after spell check replace in outline view
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Justin L
QA Contact:
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2016-08-31 12:04 UTC by sam tygier
Modified: 2017-02-18 19:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (10.39 KB, application/vnd.oasis.opendocument.presentation)
2016-08-31 12:04 UTC, sam tygier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sam tygier 2016-08-31 12:04:48 UTC
Created attachment 127092 [details]
Example

In some cases the text is not redrawn after using spell check to correct a word in outline mode. Adding more text to the line or switching the view mode is needed to trigger the redraw. Seems to only happen on bullet points, not on slide titles.

Works as expected in 5.0.6.2 (fedora 23 package). Does not redraw in 5.2.0.0.beta2 (flatpak verison on fedora). So could be a flatpak  or gtk3 issue.

Steps to reproduce.
1) Open attached file
2) go to outline mode (View -> Outline)
3) right click on the misspelt word "piont", and select the correct spelling "point"
4) old spelling is still displayed
Comment 1 Xisco Faulí 2016-08-31 13:17:25 UTC
Setting it to 'New' as I can reproduce it with

Version: 5.3.0.0.alpha0+
Build ID: 9299b4ed1fd6aec795e55cf9a5a67f6111b48f7c
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

However, I can't reproduce it with

Version: 4.3.0.0.alpha1+
Build ID: be44f0e91b6061f6bbe6b4da2f264eed70fb6542

Thus, adding Keyword 'Regression'
Comment 2 Xisco Faulí 2016-08-31 13:29:13 UTC
Issue introduced in range ee3d40b30816a8fc6d4e8f984659c8dfac19ec3b..efa2c05e84d0696b31bd822d3234798be43853ad
Comment 3 Justin L 2016-09-07 08:42:26 UTC
(In reply to Xisco Faulí from comment #2)

Ubuntu 16.04: I'm reproducing this all the way back to last36onmaster in bibisect43all (the oldest I can test).
Comment 4 Justin L 2016-09-07 10:58:07 UTC
Proposed fix:
https://gerrit.libreoffice.org/28717 tdf#101815 SetMustRepaint when InsertText
Comment 5 Commit Notification 2016-09-30 04:21:57 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a324e85cbbe62c8d8b6b6c0d0692746c17673453

tdf#101815 editeng SetMustRepaint when InsertText

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Justin L 2017-02-18 14:05:50 UTC
My fix in comment 5 was not targeted enough and caused bug 106056.  Reverting the fix and re-opening this bug. https://gerrit.libreoffice.org/34403
Comment 7 Commit Notification 2017-02-18 16:28:14 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a189b27ebeac8f179b9cce959e66862a16c4dd52

revert tdf#101815 editeng SetMustRepaint when InsertText

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-02-18 18:51:11 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9431ab38da9e8e1c438a88a97b9fc4172a3f7213&h=libreoffice-5-3

revert tdf#101815 editeng SetMustRepaint when InsertText

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Justin L 2017-02-18 19:04:40 UTC
proposed replacement patch https://gerrit.libreoffice.org/34406